log4shib 2.0.0

Classes | Namespaces | Functions
OmniThreads.hh File Reference
`#include <log4shib/Portability.hh>`
`#include <omnithread.h>`
`#include <stdio.h>`
`#include <string>`
Include dependency graph for OmniThreads.hh:

Go to the source code of this file.

## Classes
class | log4shib::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Namespaces
namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.
namespace | log4shib::threading

## Functions
static std::string | log4shib::threading::getThreadId ()
| Return an identifier for the current thread. More...